Customer meter consumption

Invoice, Book and Send

POST
/orgs/{organizationId}/customers/{customerId}/consumption/invoice-book-send-print

Invoices all outstanding consumption for a customer, books the invoice, and sends notifications.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

customerId*string

Request Body

application/json
  1. body
sendEmail?boolean
Defaultfalse
sendSms?boolean
Defaultfalse
sendWhatsApp?boolean
Defaultfalse
sendPost?boolean
Defaultfalse
sendPostRegisteredWithReceipt?boolean
Defaultfalse
mandateId?string|null

Response Body

OK

application/json
  1. response
curl -X POST 'https://api.tillor.eu/orgs/string/customers/string/consumption/invoice-book-send-print' \  -H 'Content-Type: application/json' \  -d '{}'
null